/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.couponrecord.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.couponrecord.entity.BizCouponRecord;
import vip.xiaonuo.biz.modular.couponrecord.param.BizCouponRecordAddParam;
import vip.xiaonuo.biz.modular.couponrecord.param.BizCouponRecordEditParam;
import vip.xiaonuo.biz.modular.couponrecord.param.BizCouponRecordIdParam;
import vip.xiaonuo.biz.modular.couponrecord.param.BizCouponRecordPageParam;

import java.util.List;

/**
 * 优惠券记录Service接口
 *
 * @author wulei
 * @date  2025/02/06 17:38
 **/
public interface BizCouponRecordService extends IService<BizCouponRecord> {

    /**
     * 获取优惠券记录分页
     *
     * @author wulei
     * @date  2025/02/06 17:38
     */
    Page<BizCouponRecord> page(BizCouponRecordPageParam bizCouponRecordPageParam);

    /**
     * 添加优惠券记录
     *
     * @author wulei
     * @date  2025/02/06 17:38
     */
    void add(BizCouponRecordAddParam bizCouponRecordAddParam);

    /**
     * 编辑优惠券记录
     *
     * @author wulei
     * @date  2025/02/06 17:38
     */
    void edit(BizCouponRecordEditParam bizCouponRecordEditParam);

    /**
     * 删除优惠券记录
     *
     * @author wulei
     * @date  2025/02/06 17:38
     */
    void delete(List<BizCouponRecordIdParam> bizCouponRecordIdParamList);

    /**
     * 获取优惠券记录详情
     *
     * @author wulei
     * @date  2025/02/06 17:38
     */
    BizCouponRecord detail(BizCouponRecordIdParam bizCouponRecordIdParam);

    /**
     * 获取优惠券记录详情
     *
     * @author wulei
     * @date  2025/02/06 17:38
     **/
    BizCouponRecord queryEntity(String id);

    /**
     * 根据优惠券编码查询优惠券信息
     * @param bizCouponRecordPageParam
     * @return
     */
    List<BizCouponRecord> queryByCode(BizCouponRecordPageParam bizCouponRecordPageParam);

    /**优惠券核销*/
    void destroy(BizCouponRecordEditParam bizCouponRecordEditParam);
}
