package vip.xiaonuo.biz.modular.user.param;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wulei
 * @date 2025/2/5
 * @Version 1.0
 * @Description TODO
 */
@Setter
@Getter
public class WxUserRegisterParam {

    @Schema(description = "微信code", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "openId不能为空")
    private String openId;

    @Schema(description = "手机号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "手机号不能为空")
    private String phone;

    @Schema(description = "角色类型 1.消费者 2.门店", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "角色类型不能为空")
    private String roleType;

    @Schema(description = "name", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "姓名不能为空")
    private String name;

    @Schema(description = "短信验证码")
    @NotBlank(message = "短信验证码不能为空")
    private String messageCode;

    @Schema(description = "推荐人编码")
    private String referralCode;

    @Schema(description = "门店编码")
    private String orgCode;


}
